Package twisted :: Package web :: Module microdom :: Class Document

[show private | hide private]
[frames | no frames]

## Class Document

                Node --+
                       |
    OriginalAccessor --+
                       |
                      Document

Method Summary
| `__init__(self, documentElement)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__eq__(self, n)`
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__hash__(self)` (inherited from `Node`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `appendChild(self, c)`
| `cloneNode(self, deep, parent)`
| `createElement(self, name)`
| `createTextNode(self, text)`
| `firstChild(self)` (inherited from `Node`)
| `get_documentElement(self)`
| `getElementById(self, id)`
| `getElementsByTagName(self, name)`
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `isEqualToDocument(self, n)`
| `isEqualToNode(self, n)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, stream, indent, addindent, newl, strip)`

Class Variable Summary
`NoneType` | `doctype`

Class Variable Details

### doctype

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:19:07 2003 | http://epydoc.sf.net